## r-cran-xfun 0.12

=== DESCRIPTION ===
Package: xfun
Type: Package
Title: Miscellaneous Functions by 'Yihui Xie'
Version: 0.12
Authors@R: c(
  person("Yihui", "Xie", role = c("aut", "cre", "cph"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
  person("Daijiang", "Li", role = "ctb"),
  person("Xianying", "Tan", role = "ctb"),
  person("Salim", "Brüggemann", role = "ctb", email = "salim-b@pm.me"),
  person()
  )
Description: Miscellaneous functions commonly used in other packages maintained by 'Yihui Xie'.
Imports: stats, tools
Suggests: testit, parallel, rstudioapi, tinytex, mime, markdown, knitr,
        htmltools, base64enc, remotes, rmarkdown
License: MIT + file LICENSE
URL: https://github.com/yihui/xfun
BugReports: https://github.com/yihui/xfun/issues
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-01-13 04:22:04 UTC; yihui
Author: Yihui Xie [aut, cre, cph] (<https://orcid.org/0000-0003-0645-5666>),
  Daijiang Li [ctb],
  Xianying Tan [ctb],
  Salim Brüggemann [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2020-01-13 09:50:03 UTC

## r-cran-xfun 0.4

=== debian/changelog ===
r-cran-xfun (0.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 25 Oct 2018 10:54:43 +0200

r-cran-xfun (0.3-1) unstable; urgency=medium

  * Initial release (closes: #903542)

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jul 2018 09:54:45 +0200

=== debian/control ===
Source: r-cran-xfun
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xfun
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xfun.git
Homepage: https://cran.r-project.org/package=xfun

Package: r-cran-xfun
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: miscellaneous GNU R functions by 'Yihui Xie'
 This package provides miscellaneous functions for GNU R commonly used in
 other packages maintained by 'Yihui Xie'.  For instance it is needed in
 r-cran-tinytex.

## r-cran-xfun 0.8

=== debian/changelog ===
r-cran-xfun (0.8-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 08:21:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xfun
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xfun.git
 Homepage: https://cran.r-project.org/package=xfun

## r-cran-xfun 0.12

=== debian/changelog ===
r-cran-xfun (0.12-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jan 2020 20:03:26 +0100

r-cran-xfun (0.11-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2019 16:10:59 +0100

r-cran-xfun (0.10-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Tue, 08 Oct 2019 12:43:10 +0200

r-cran-xfun (0.9-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 04 Sep 2019 12:47:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xfun
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xfun.git
 Homepage: https://cran.r-project.org/package=xfun

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testit
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/xfun_([-\d.]*)\.tar\.gz

## r-cran-xfun 0.15

=== debian/changelog ===
r-cran-xfun (0.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Switch Architecture to any from all
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 29 Jun 2020 10:53:52 +0200

r-cran-xfun (0.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 05 Jun 2020 09:31:22 +0200

r-cran-xfun (0.13-2) unstable; urgency=medium

  * Team upload.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 May 2020 23:20:03 +0200

r-cran-xfun (0.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Apr 2020 22:35:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xfun
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xfun.git
 Homepage: https://cran.r-project.org/package=xfun
+Rules-Requires-Root: no
 
 Package: r-cran-xfun
-Architecture: all
+Architecture: any
 Depends: ${R:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-xfun 0.20

=== DESCRIPTION ===
Package: xfun
Type: Package
Title: Miscellaneous Functions by 'Yihui Xie'
Version: 0.20
Authors@R: c(
  person("Yihui", "Xie", role = c("aut", "cre", "cph"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
  person("Wush", "Wu", role = "ctb"),
  person("Daijiang", "Li", role = "ctb"),
  person("Xianying", "Tan", role = "ctb"),
  person("Salim", "Brüggemann", role = "ctb", email = "salim-b@pm.me", comment = c(ORCID = "0000-0002-5329-5987")),
  person()
  )
Description: Miscellaneous functions commonly used in other packages maintained by 'Yihui Xie'.
Imports: stats, tools
Suggests: testit, parallel, codetools, rstudioapi, tinytex, mime,
        markdown, knitr, htmltools, remotes, pak, rmarkdown
License: MIT + file LICENSE
URL: https://github.com/yihui/xfun
BugReports: https://github.com/yihui/xfun/issues
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2021-01-05 05:07:13 UTC; yihui
Author: Yihui Xie [aut, cre, cph] (<https://orcid.org/0000-0003-0645-5666>),
  Wush Wu [ctb],
  Daijiang Li [ctb],
  Xianying Tan [ctb],
  Salim Brüggemann [ctb] (<https://orcid.org/0000-0002-5329-5987>)
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2021-01-06 16:00:03 UTC

=== debian/changelog ===
r-cran-xfun (0.20-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Test-Depends: r-cran-mime

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 20:01:47 +0100

r-cran-xfun (0.19-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 09 Nov 2020 12:42:45 +0100

r-cran-xfun (0.18-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 01 Oct 2020 11:43:48 +0200

r-cran-xfun (0.17-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2020 11:49:02 +0200

r-cran-xfun (0.16-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 15:49:38 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xfun
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xfun.git
 Homepage: https://cran.r-project.org/package=xfun

## r-cran-xfun 0.25

=== debian/changelog ===
r-cran-xfun (0.25-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 13 Aug 2021 13:10:55 +0200

## r-cran-xfun 0.29

=== DESCRIPTION ===
Package: xfun
Type: Package
Title: Supporting Functions for Packages Maintained by 'Yihui Xie'
Version: 0.29
Authors@R: c(
  person("Yihui", "Xie", role = c("aut", "cre", "cph"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
  person("Wush", "Wu", role = "ctb"),
  person("Daijiang", "Li", role = "ctb"),
  person("Xianying", "Tan", role = "ctb"),
  person("Salim", "Brüggemann", role = "ctb", email = "salim-b@pm.me", comment = c(ORCID = "0000-0002-5329-5987")),
  person("Christophe", "Dervieux", role = "ctb"),
  person()
  )
Description: Miscellaneous functions commonly used in other packages maintained by 'Yihui Xie'.
Imports: stats, tools
Suggests: testit, parallel, codetools, rstudioapi, tinytex (>= 0.30),
        mime, markdown, knitr, htmltools, remotes, pak, rhub, renv,
        curl, jsonlite, rmarkdown
License: MIT + file LICENSE
URL: https://github.com/yihui/xfun
BugReports: https://github.com/yihui/xfun/issues
Encoding: UTF-8
RoxygenNote: 7.1.2
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2021-12-14 20:38:20 UTC; yihui
Author: Yihui Xie [aut, cre, cph] (<https://orcid.org/0000-0003-0645-5666>),
  Wush Wu [ctb],
  Daijiang Li [ctb],
  Xianying Tan [ctb],
  Salim Brüggemann [ctb] (<https://orcid.org/0000-0002-5329-5987>),
  Christophe Dervieux [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2021-12-14 21:00:02 UTC

=== debian/changelog ===
r-cran-xfun (0.29-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.29

 -- Nilesh Patra <nilesh@debian.org>  Tue, 28 Dec 2021 18:11:34 +0530

r-cran-xfun (0.28-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.28
  * d/copyright: s/MIT/Expat/

 -- Nilesh Patra <nilesh@debian.org>  Mon, 08 Nov 2021 21:02:42 +0530

r-cran-xfun (0.27-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 15:43:21 +0000

r-cran-xfun (0.26-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Sep 2021 11:56:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xfun
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xfun.git
 Homepage: https://cran.r-project.org/package=xfun

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testit, r-cran-mime
Restrictions: allow-stderr

## r-cran-xfun 0.32+dfsg

=== debian/changelog ===
r-cran-xfun (0.32+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 15 Aug 2022 11:26:09 +0200

r-cran-xfun (0.31-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 21:18:17 +0200

r-cran-xfun (0.30-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 22:30:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-xfun
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xfun
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xfun.git
+Homepage: https://cran.r-project.org/package=xfun
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xfun
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xfun.git
-Homepage: https://cran.r-project.org/package=xfun
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-xfun
 Architecture: any

## r-cran-xfun 0.37+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xfun
 Type: Package
 Title: Supporting Functions for Packages Maintained by 'Yihui Xie'
-Version: 0.29
+Version: 0.37
 Authors@R: c(
   person("Yihui", "Xie", role = c("aut", "cre", "cph"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
   person("Wush", "Wu", role = "ctb"),
@@ -14,16 +14,16 @@
 Description: Miscellaneous functions commonly used in other packages maintained by 'Yihui Xie'.
 Imports: stats, tools
 Suggests: testit, parallel, codetools, rstudioapi, tinytex (>= 0.30),
-        mime, markdown, knitr, htmltools, remotes, pak, rhub, renv,
-        curl, jsonlite, rmarkdown
+        mime, markdown (>= 1.5), knitr (>= 1.42), htmltools, remotes,
+        pak, rhub, renv, curl, jsonlite, magick, rmarkdown
 License: MIT + file LICENSE
 URL: https://github.com/yihui/xfun
 BugReports: https://github.com/yihui/xfun/issues
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2021-12-14 20:38:20 UTC; yihui
+Packaged: 2023-01-31 22:38:19 UTC; yihui
 Author: Yihui Xie [aut, cre, cph] (<https://orcid.org/0000-0003-0645-5666>),
   Wush Wu [ctb],
   Daijiang Li [ctb],
@@ -32,4 +32,4 @@
   Christophe Dervieux [ctb]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2021-12-14 21:00:02 UTC
+Date/Publication: 2023-01-31 23:10:02 UTC

=== debian/changelog ===
r-cran-xfun (0.37+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2023 11:50:41 +0100

r-cran-xfun (0.36+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Dec 2022 06:34:03 +0100

r-cran-xfun (0.35+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 16:00:50 +0100

r-cran-xfun (0.34+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2022 14:51:04 +0100

r-cran-xfun (0.33+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 19 Sep 2022 11:24:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xfun
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xfun.git
 Homepage: https://cran.r-project.org/package=xfun
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-xfun 0.39+dfsg

=== DESCRIPTION ===
Package: xfun
Type: Package
Title: Supporting Functions for Packages Maintained by 'Yihui Xie'
Version: 0.39
Authors@R: c(
  person("Yihui", "Xie", role = c("aut", "cre", "cph"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
  person("Wush", "Wu", role = "ctb"),
  person("Daijiang", "Li", role = "ctb"),
  person("Xianying", "Tan", role = "ctb"),
  person("Salim", "Brüggemann", role = "ctb", email = "salim-b@pm.me", comment = c(ORCID = "0000-0002-5329-5987")),
  person("Christophe", "Dervieux", role = "ctb"),
  person(given = "Posit Software, PBC", role = c("cph", "fnd")),
  person()
  )
Description: Miscellaneous functions commonly used in other packages maintained by 'Yihui Xie'.
Imports: stats, tools
Suggests: testit, parallel, codetools, rstudioapi, tinytex (>= 0.30),
        mime, markdown (>= 1.5), knitr (>= 1.42), htmltools, remotes,
        pak, rhub, renv, curl, jsonlite, magick, yaml, rmarkdown
License: MIT + file LICENSE
URL: https://github.com/yihui/xfun
BugReports: https://github.com/yihui/xfun/issues
Encoding: UTF-8
RoxygenNote: 7.2.3
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2023-04-19 22:17:10 UTC; yihui
Author: Yihui Xie [aut, cre, cph] (<https://orcid.org/0000-0003-0645-5666>),
  Wush Wu [ctb],
  Daijiang Li [ctb],
  Xianying Tan [ctb],
  Salim Brüggemann [ctb] (<https://orcid.org/0000-0002-5329-5987>),
  Christophe Dervieux [ctb],
  Posit Software, PBC [cph, fnd]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2023-04-20 12:50:02 UTC

=== debian/changelog ===
r-cran-xfun (0.39+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 11 Jun 2023 19:12:11 +0200

## r-cran-xfun 0.41+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xfun
 Type: Package
 Title: Supporting Functions for Packages Maintained by 'Yihui Xie'
-Version: 0.39
+Version: 0.41
 Authors@R: c(
   person("Yihui", "Xie", role = c("aut", "cre", "cph"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
   person("Wush", "Wu", role = "ctb"),
@@ -24,7 +24,7 @@
 RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2023-04-19 22:17:10 UTC; yihui
+Packaged: 2023-11-01 13:27:07 UTC; yihui
 Author: Yihui Xie [aut, cre, cph] (<https://orcid.org/0000-0003-0645-5666>),
   Wush Wu [ctb],
   Daijiang Li [ctb],
@@ -34,4 +34,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2023-04-20 12:50:02 UTC
+Date/Publication: 2023-11-01 14:00:02 UTC

=== debian/changelog ===
r-cran-xfun (0.41+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 21:36:02 +0100

r-cran-xfun (0.40+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Aug 2023 13:30:41 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testit,
        r-cran-codetools,
        r-cran-rstudioapi,
        r-cran-tinytex (>= 0.30),
        r-cran-mime,
        r-cran-markdown (>= 1.5),
        r-cran-knitr (>= 1.42),
        r-cran-htmltools,
        r-cran-remotes,
        r-cran-renv,
        r-cran-curl,
        r-cran-jsonlite,
        r-cran-magick,
        r-cran-yaml,
        r-cran-rmarkdown
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/xfun_([-\d.]*)\.tar\.gz

## r-cran-xfun 0.45+dfsg

=== debian/changelog ===
r-cran-xfun (0.45+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 25 Jun 2024 10:46:22 +0900

r-cran-xfun (0.44+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 22 May 2024 09:19:14 +0900

r-cran-xfun (0.43+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 18 Apr 2024 15:16:59 +0000

=== debian/tests/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
         r-cran-tinytex (>= 0.30),
         r-cran-mime,
         r-cran-markdown (>= 1.5),
-        r-cran-knitr (>= 1.42),
+        r-cran-knitr (>= 1.47),
         r-cran-htmltools,
         r-cran-remotes,
         r-cran-renv,
         r-cran-curl,
+        r-cran-xml2,
         r-cran-jsonlite,
         r-cran-magick,
         r-cran-yaml,

## r-cran-xfun 0.48+dfsg

=== debian/changelog ===
r-cran-xfun (0.48+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Oct 2024 10:30:18 +0900

r-cran-xfun (0.47+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Sep 2024 10:55:30 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xfun
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xfun.git
 Homepage: https://cran.r-project.org/package=xfun
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
--- 
+++ 
@@ -5,9 +5,7 @@
         r-cran-rstudioapi,
         r-cran-tinytex (>= 0.30),
         r-cran-mime,
-        r-cran-markdown (>= 1.5),
         r-cran-knitr (>= 1.47),
-        r-cran-htmltools,
         r-cran-remotes,
         r-cran-renv,
         r-cran-curl,

## r-cran-xfun 0.49+dfsg

=== debian/changelog ===
r-cran-xfun (0.49+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 06 Nov 2024 08:47:20 +0900

## r-cran-xfun 0.50+dfsg

=== debian/changelog ===
r-cran-xfun (0.50+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 15:33:48 +0100

## r-cran-xfun 0.51+dfsg

=== DESCRIPTION ===
Package: xfun
Type: Package
Title: Supporting Functions for Packages Maintained by 'Yihui Xie'
Version: 0.51
Authors@R: c(
  person("Yihui", "Xie", role = c("aut", "cre", "cph"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666", URL = "https://yihui.org")),
  person("Wush", "Wu", role = "ctb"),
  person("Daijiang", "Li", role = "ctb"),
  person("Xianying", "Tan", role = "ctb"),
  person("Salim", "Brüggemann", role = "ctb", email = "salim-b@pm.me", comment = c(ORCID = "0000-0002-5329-5987")),
  person("Christophe", "Dervieux", role = "ctb"),
  person()
  )
Description: Miscellaneous functions commonly used in other packages maintained by 'Yihui Xie'.
Depends: R (>= 3.2.0)
Imports: grDevices, stats, tools
Suggests: testit, parallel, codetools, methods, rstudioapi, tinytex (>=
        0.30), mime, litedown (>= 0.4), commonmark, knitr (>= 1.47),
        remotes, pak, rhub, renv, curl, xml2, jsonlite, magick, yaml,
        qs, rmarkdown
License: MIT + file LICENSE
URL: https://github.com/yihui/xfun
BugReports: https://github.com/yihui/xfun/issues
Encoding: UTF-8
RoxygenNote: 7.3.2
VignetteBuilder: litedown
NeedsCompilation: yes
Packaged: 2025-02-19 15:23:21 UTC; runner
Author: Yihui Xie [aut, cre, cph] (<https://orcid.org/0000-0003-0645-5666>,
    https://yihui.org),
  Wush Wu [ctb],
  Daijiang Li [ctb],
  Xianying Tan [ctb],
  Salim Brüggemann [ctb] (<https://orcid.org/0000-0002-5329-5987>),
  Christophe Dervieux [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2025-02-19 16:00:02 UTC

=== debian/changelog ===
r-cran-xfun (0.51+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Added patch to fix reproducibility.

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 26 Feb 2025 08:47:10 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xfun
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xfun.git
 Homepage: https://cran.r-project.org/package=xfun
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
         r-cran-rstudioapi,
         r-cran-tinytex (>= 0.30),
         r-cran-mime,
+        r-cran-commonmark,
         r-cran-knitr (>= 1.47),
         r-cran-remotes,
         r-cran-renv,

## r-cran-xfun 0.55%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xfun
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xfun.git
 Homepage: https://cran.r-project.org/package=xfun
-Standards-Version: 4.7.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev

## r-cran-xfun 0.55+dfsg

=== DESCRIPTION ===
Package: xfun
Type: Package
Title: Supporting Functions for Packages Maintained by 'Yihui Xie'
Version: 0.55
Authors@R: c(
  person("Yihui", "Xie", role = c("aut", "cre", "cph"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666", URL = "https://yihui.org")),
  person("Wush", "Wu", role = "ctb"),
  person("Daijiang", "Li", role = "ctb"),
  person("Xianying", "Tan", role = "ctb"),
  person("Salim", "Brüggemann", role = "ctb", email = "salim-b@pm.me", comment = c(ORCID = "0000-0002-5329-5987")),
  person("Christophe", "Dervieux", role = "ctb"),
  person()
  )
Description: Miscellaneous functions commonly used in other packages maintained by 'Yihui Xie'.
Depends: R (>= 3.2.0)
Imports: grDevices, stats, tools
Suggests: testit, parallel, codetools, methods, rstudioapi, tinytex (>=
        0.30), mime, litedown (>= 0.6), commonmark, knitr (>= 1.50),
        remotes, pak, curl, xml2, jsonlite, magick, yaml, data.table,
        qs2, qs
License: MIT + file LICENSE
URL: https://github.com/yihui/xfun
BugReports: https://github.com/yihui/xfun/issues
Encoding: UTF-8
RoxygenNote: 7.3.3
VignetteBuilder: litedown
NeedsCompilation: yes
Packaged: 2025-12-15 17:41:07 UTC; yihui
Author: Yihui Xie [aut, cre, cph] (ORCID:
    <https://orcid.org/0000-0003-0645-5666>, URL: https://yihui.org),
  Wush Wu [ctb],
  Daijiang Li [ctb],
  Xianying Tan [ctb],
  Salim Brüggemann [ctb] (ORCID: <https://orcid.org/0000-0002-5329-5987>),
  Christophe Dervieux [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2025-12-16 06:10:03 UTC

=== debian/changelog ===
r-cran-xfun (0.55+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.55+dfsg
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 22 Dec 2025 02:38:45 +0530

## r-cran-xfun 0.56+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xfun
 Type: Package
 Title: Supporting Functions for Packages Maintained by 'Yihui Xie'
-Version: 0.55
+Version: 0.56
 Authors@R: c(
   person("Yihui", "Xie", role = c("aut", "cre", "cph"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666", URL = "https://yihui.org")),
   person("Wush", "Wu", role = "ctb"),
@@ -17,7 +17,7 @@
 Suggests: testit, parallel, codetools, methods, rstudioapi, tinytex (>=
         0.30), mime, litedown (>= 0.6), commonmark, knitr (>= 1.50),
         remotes, pak, curl, xml2, jsonlite, magick, yaml, data.table,
-        qs2, qs
+        qs2
 License: MIT + file LICENSE
 URL: https://github.com/yihui/xfun
 BugReports: https://github.com/yihui/xfun/issues
@@ -25,7 +25,7 @@
 RoxygenNote: 7.3.3
 VignetteBuilder: litedown
 NeedsCompilation: yes
-Packaged: 2025-12-15 17:41:07 UTC; yihui
+Packaged: 2026-01-18 04:03:19 UTC; yihui
 Author: Yihui Xie [aut, cre, cph] (ORCID:
     <https://orcid.org/0000-0003-0645-5666>, URL: https://yihui.org),
   Wush Wu [ctb],
@@ -35,4 +35,4 @@
   Christophe Dervieux [ctb]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2025-12-16 06:10:03 UTC
+Date/Publication: 2026-01-18 06:10:03 UTC

=== debian/changelog ===
r-cran-xfun (0.56+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Feb 2026 12:14:52 +0900

=== debian/control ===
Source: r-cran-xfun
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xfun
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xfun.git
Homepage: https://cran.r-project.org/package=xfun

Package: r-cran-xfun
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: miscellaneous GNU R functions by 'Yihui Xie'
 This package provides miscellaneous functions for GNU R commonly used in
 other packages maintained by 'Yihui Xie'.  For instance it is needed in
 r-cran-tinytex.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-testit,
 r-cran-codetools,
 r-cran-rstudioapi,
 r-cran-tinytex (>= 0.30),
 r-cran-mime,
 r-cran-commonmark,
 r-cran-knitr (>= 1.50),
 r-cran-remotes,
 r-cran-curl,
 r-cran-xml2,
 r-cran-jsonlite,
 r-cran-magick,
 r-cran-yaml,
 r-cran-data.table,
 r-cran-knitr (>= 1.47),
 r-cran-renv,
 r-cran-rmarkdown,
